package info.bukova.isspst.services.tripbill;

import info.bukova.isspst.data.TripBill;
import info.bukova.isspst.data.TripRequirement;
import info.bukova.isspst.services.Service;

import java.util.Date;
import java.util.List;

public interface TripBillService extends Service<TripBill> {
	
	public TripBill createTripBill(TripRequirement requirement);
	public TripBill createPassengersBill(TripRequirement requirement);
	public void loadItems(TripBill bill);
	public void calculate(TripBill bill);
	public List<TripBill> getMy();
	public void loadOwner(TripBill bill);
	public void loadPassengers(TripBill bill);
	public void setPaid(TripBill bill, Date date);

	/**
	 * Uloží vyúčtování a nastaví příznak přenosu vyúčtování od žadatele
	 *
	 * @param bill
	 */
	public void updateOwned(TripBill bill);

}
